<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="deleteInputForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="deleteInputPopup"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xval.RemoveValidatorInput']}
                #{xvalidatorEditorManager.selectedValidatorInput.referencedObject.keyword}
            </ui:define>
            <s:div id="deleteInputPopupContent">
                <s:div rendered="#{xvalidatorEditorManager.selectedValidatorInput == null}">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.NoValidatorInputSelected']}" styleClass="message"/>
                </s:div>
                <s:div id="inputDetails">
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Keyword']}</ui:define>
                            <h:outputText
                                    value="#{xvalidatorEditorManager.selectedValidatorInput.referencedObject.keyword}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Kind']}</ui:define>
                            <h:outputText
                                    value="#{xvalidatorEditorManager.selectedValidatorInput.referencedObject.objectType}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Description']}</ui:define>
                            <h:outputText
                                    value="#{xvalidatorEditorManager.selectedValidatorInput.referencedObject.description}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.UsedByRules']}</ui:define>
                            <h:outputText value="#{xvalidatorEditorManager.checkInputUsage()}"/>
                        </s:decorate>
                    </dl>
                </s:div>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xval.ThisValidatorInputWillNotBeAccessibleByRulesAnym']}"
                        styleClass="gzl-alert gzl-alert-orange"/>
                <br/>
                <h:outputText value="#{messages['net.ihe.gazelle.xval.DoYouReallyWantToRemoveThisValidatorInput']}"/>
            </s:div>
            <ui:define name="popup_footer">
                <s:div id="deleteInputPopupButtons">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Yes']}" oncomplete="jq162('#deleteInputPopup').modal('hide');"
                                       action="#{xvalidatorEditorManager.removeInput()}"
                                       render="validatorInputsForm, inputTable"
                                       styleClass="gzl-btn-green"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.NoMarkItOptionalInsteadcardMin0']})"
                                       oncomplete="jq162('#deleteInputPopup').modal('hide');"
                                       action="#{xvalidatorEditorManager.markInputOptional()}"
                                       render="validatorInputsForm, inputTable"
                                       rendered="#{xvalidatorEditorManager.selectedValidatorInput.minQuantity != 0}"
                                       styleClass="gzl-btn-orange"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}"
                                       oncomplete="jq162('#deleteInputPopup').modal('hide');"
                                       immediate="true" styleClass="gzl-btn"
                                       actionListener="#{xvalidatorEditorManager.setSelectedValidatorInput(null)}"/>
                </s:div>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
